<?php
#############
# ICQ Магазин, v.2.0 от 27.12.10
# ICQ 9 466 366
# Модификация и перепродажа запрещена!
#
#############
include 'config.php';
$smsid=$_GET['smsid'];
$num=trim(htmlspecialchars($_GET['user_id']));
$msg=$_GET['msg'];
$short_num=$_GET['num'];
$operator_id=$_GET['operator_id'];
############################
$prefix = '#jamob+'; // SMS префикс вместе с +
$words = split($prefix, $msg);
$id_user=$words[1];
$id_user=ltrim(rtrim($id_user)); // получили ID пользователя
$id_user = abs(intval($id_user));
############################
if(!empty($smsid))
{
	$sms_num = abs(intval($short_num));
	$bal = mysql_result(mysql_query("SELECT `cash` FROM `sms_numbers` WHERE `num` = '".$sms_num."'"),'cash');
}
if(!empty($id_user))
{
	$login = mysql_result(mysql_query("SELECT `name` FROM `profile` WHERE `id` = '".$id_user."'"),'name');
	mysql_query("UPDATE `profile` SET `many` = (many)+".($bal*3)." WHERE `id` = '".$id_user."'");
	mysql_query("INSERT INTO `sms_stat` VALUES('','".$id_user."','".($bal*3)."','".time()."','".$num."','1')");

  echo "smsid:".$smsid."\n";
  echo "status:reply\n";
  echo "content-type:text/plain\n";
  echo "\n";
  echo "Спасибо ".$login.", ваш счет успешно пополнен на ".($bal*3)." монет. ".$_SERVER['HTTP_HOST']."";
 //mysql_query("INSERT INTO `mag_abnumumbers` VALUES('','".$num."')");
}
############################
?>